package com.ducaller.sdkapplication;

import android.app.Application;
import android.content.Context;

import com.ducaller.fsdk.main.DuCallerSDKHelper;

import java.io.BufferedInputStream;
import java.io.ByteArrayOutputStream;
import java.io.Closeable;
import java.io.IOException;


public class MainApplication extends Application {

    private static String AD_CONFIG = "ad_config.json";

    @Override
    public void onCreate() {
        super.onCreate();
        // TODO ：一定保证在主进程的onCreate中初始化
        DuCallerSDKHelper.init(getApplicationContext(), getConfigJSON(getApplicationContext(), AD_CONFIG));
    }


    private String getConfigJSON(Context context, String filePath) {
        BufferedInputStream bis = null;
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        try {
            bis = new BufferedInputStream(context.getAssets().open(filePath));
            byte[] buffer = new byte[4096];
            int readLen = -1;
            while ((readLen = bis.read(buffer)) > 0) {
                bos.write(buffer, 0, readLen);
            }
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            closeQuietly(bis);
        }

        return bos.toString();
    }

    private void closeQuietly(Closeable closeable) {
        if (closeable == null) {
            return;
        }
        try {
            closeable.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
